Home Information Classes Download Usage Mail List Requirements Links Tutorial

# PitShift Class Reference

STK simple pitch shifter effect class. More...

`#include <PitShift.h>`

Inheritance diagram for PitShift:

List of all members.

## Public Member Functions

| PitShift ()
| Class constructor.
| ~PitShift ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setShift (MY_FLOAT shift)
| Set the pitch shift factor (1.0 produces no shift).
void | setEffectMix (MY_FLOAT mix)
| Set the mixture of input and processed levels in the output (0.0 = input only, 1.0 = processed only).
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | tick (MY_FLOAT input)
| Compute one output sample.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Input vectorSize samples to the filter and return an equal number of outputs in vector.

## Detailed Description

STK simple pitch shifter effect class.

This class implements a simple pitch shifter using delay lines.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 18 of file PitShift.h.

The documentation for this class was generated from the following file:

- PitShift.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.